One Trading API
REST API
WebSocket API
REST API
WebSocket API
  1. Futures
  • Public
    • Currencies
      GET
    • Instruments
      GET
    • Candlesticks
      GET
    • Fee Groups
      GET
    • Order Book
      GET
    • Market Ticker
      GET
    • Market Ticker For Instrument
      GET
    • Time
      GET
  • Trading
    • Get Orders
      GET
    • Create Order
      POST
    • Get Order by Client ID
      GET
    • Get Order by Order ID
      GET
    • Balances
      GET
    • Subaccounts
      GET
    • Fees
      GET
    • Get Trades for Order
      GET
    • Get Trade by Trade ID
      GET
    • Get Trades
      GET
    • Cancel All Orders
      DELETE
    • Cancel Order by Order ID
      DELETE
    • Cancel Order by Client ID
      DELETE
  • Futures
    • Introduction
    • Funding Rate Methodology
    • Funding Payments
      GET
    • Positions
      GET
    • Position Funding Payments
      GET
    • Funding Rate Settings
      GET
    • Get Futures Open Positions
      GET
    • Futures Portfolio Summary
      GET
    • Current Funding Rate
      GET
    • Funding Rate History
      GET
    • Funding Schedule
      GET
  • Funding
    • Transfer Subaccount Balance
      POST
    • Get Transactions
      GET
  1. Futures

Funding Rate Settings

Developing
GET
https://api.onetrading.com/fast/v1/funding-rate/settings
Returns an array of funding rate settings, sorted alphabetically by instrument code. Refer to the funding rate methodology for a detailed explanation of the calculation logic.
https://docs.onetrading.com/futures/funding-rate-methodology
Settings may be cached for up to 30 seconds. Unknown query parameters are rejected with 400 UNEXPECTED_PARAMETERS.

Request

Authorization
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Query Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠400Bad Request
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.onetrading.com/fast/v1/funding-rate/settings?instrument_code=BTC_USD_P%2CETH_USD_P' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Success Example
{
    "instrument_code": "ADA_USD_P",
    "state": "ACTIVE",
    "market_offset": 6,
    "clamp_threshold": 0.0005,
    "annual_interest_rate": 0.04,
    "cap": 0.001,
    "period": 240
}
Previous
Position Funding Payments
Next
Get Futures Open Positions
Built with